# H245_UserInputIndication_signal_rtp Class Reference

`#include <h245.h>`

Inheritance diagram for H245_UserInputIndication_signal_rtp:

List of all members.

## Public Types

enum | OptionalFields { e_timestamp, e_expirationTime }

## Public Member Functions

| H245_UserInputIndication_signal_rtp (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_timestamp
PASN_Integer | m_expirationTime
H245_LogicalChannelNumber | m_logicalChannelNumber

## Member Enumeration Documentation

enum H245_UserInputIndication_signal_rtp::OptionalFields

Enumerator:

  e_timestamp |
  e_expirationTime |

## Constructor & Destructor Documentation

H245_UserInputIndication_signal_rtp::H245_UserInputIndication_signal_rtp | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_UserInputIndication_signal_rtp::GetDataLength | ( |  | ) | const

PBoolean H245_UserInputIndication_signal_rtp::Decode | ( | PASN_Stream & | strm | ) |

void H245_UserInputIndication_signal_rtp::Encode | ( | PASN_Stream & | strm | ) | const

void H245_UserInputIndication_signal_rtp::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_UserInputIndication_signal_rtp::Compare | ( | const PObject & | obj | ) | const

PObject* H245_UserInputIndication_signal_rtp::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_UserInputIndication_signal_rtp::m_timestamp

PASN_Integer H245_UserInputIndication_signal_rtp::m_expirationTime

H245_LogicalChannelNumber H245_UserInputIndication_signal_rtp::m_logicalChannelNumber

The documentation for this class was generated from the following file:

- h245.h